Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 485420 (CVE-2013-4324) - <net-misc/spice-gtk-0.21: use of insecure polkit libgobject-1 API (CVE-2013-4324)
Summary: <net-misc/spice-gtk-0.21: use of insecure polkit libgobject-1 API (CVE-2013-4...
Status: RESOLVED FIXED
Alias: CVE-2013-4324
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal major (vote)
Assignee: Gentoo Security
URL:
Whiteboard: B1 [glsa]
Keywords:
Depends on: CVE-2013-4288 485550
Blocks: 485328
  Show dependency tree
 
Reported: 2013-09-19 16:23 UTC by Doug Goldstein
Modified: 2014-06-26 22:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Doug Goldstein gentoo-dev 2013-09-19 16:23:37 UTC
<net-misc/spice-0.21: use of insecure polkit libgobject-1 API (CVE-2013-4324)

target keywords: amd64 x86

Please stabilize arch teams
Comment 1 Agostino Sarubbo gentoo-dev 2013-09-23 19:12:13 UTC
amd64 stable
Comment 2 Agostino Sarubbo gentoo-dev 2013-10-06 07:51:42 UTC
x86 stable
Comment 3 Sean Amoss gentoo-dev Security 2013-10-06 14:21:21 UTC
Added to the polkit GLSA.
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-10-06 23:26:42 UTC
CVE-2013-4324 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-4324):
  spice-gtk 0.14, and possibly other versions, invokes the polkit authority
  using the insecure polkit_unix_process_new API function, which allows local
  users to bypass intended access restrictions by leveraging a
  PolkitUnixProcess PolkitSubject race condition via a (1) setuid process or
  (2) pkexec process, a related issue to CVE-2013-4288.
Comment 5 GLSAMaker/CVETool Bot gentoo-dev 2014-06-26 22:59:44 UTC
This issue was resolved and addressed in
 GLSA 201406-27 at http://security.gentoo.org/glsa/glsa-201406-27.xml
by GLSA coordinator Chris Reffett (creffett).